## aiorwlock 0.6.0

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).


flake:
	flake8 aiorwlock tests examples setup.py

test: flake
	pytest -s

vtest:
	pytest -v

checkrst:
	python setup.py check --restructuredtext

pyroma:
	pyroma -d .

bandit:
	bandit -r ./aiorwlock

mypy:
	mypy aiorwlock --ignore-missing-imports --disallow-untyped-calls --no-site-packages --strict

cov cover coverage: flake checkrst pyroma bandit
	pytest -sv --cov=aiorwlock --cov-report=term --cov-report=html ./tests
	@echo "open file://`pwd`/htmlcov/index.html"

clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf coverage
	rm -rf build
	rm -rf cover
	rm -rf dist

doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

.PHONY: all flake test vtest cov clean doc

=== debian/changelog ===
aiorwlock (0.6.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    - Update Standards-Version to 4.4.0.
    - Update X-Python3-Version to >= 3.6.

 -- William Grzybowski <william@grzy.org>  Wed, 10 Jul 2019 10:24:28 -0300

aiorwlock (0.6.0-1) experimental; urgency=medium

  * Initial release (Closes: #931200)

 -- William Grzybowski <william@grzy.org>  Thu, 27 Jun 2019 22:25:32 -0300

=== debian/control ===
Source: aiorwlock
Section: python
Priority: optional
Maintainer: William Grzybowski <william@grzy.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
# for tests:
               python3-pytest,
               python3-uvloop
Standards-Version: 4.4.0
Homepage: https://github.com/aio-libs/aiorwlock
X-Python3-Version: >= 3.6
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/wg-guest/aiorwlock
Vcs-Git: https://salsa.debian.org/wg-guest/aiorwlock.git

Package: python3-aiorwlock
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Synchronization primitive RWLock for asyncio (Python 3)
 Read write lock for asyncio. A RWLock maintains a pair of associated locks,
 one for read-only operations and one for writing. The read lock may be held
 simultaneously by multiple reader tasks, so long as there are no writers.
 The write lock is exclusive.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aiorwlock
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/tests

%:
	dh $@ --with python3 --buildsystem=pybuild

## aiorwlock 1.0.0

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,26 @@
 # Some simple testing tasks (sorry, UNIX only).
+
+FILES := aiorwlock tests examples setup.py
 
 
 flake:
-	flake8 aiorwlock tests examples setup.py
+	flake8 $(FILES)
+
+fmt:
+	isort ${FILES}
+	black -S -l 79 ${FILES}
+
+lint: bandit pyroma
+	isort --check-only --diff ${FILES}
+	black -S -l 79 --check $(FILES)
+	mypy --show-error-codes --disallow-untyped-calls --strict aiorwlock
+	flake8 $(FILES)
 
 test: flake
 	pytest -s
 
 vtest:
 	pytest -v
-
-checkrst:
-	python setup.py check --restructuredtext
 
 pyroma:
 	pyroma -d .
@@ -20,9 +29,9 @@
 	bandit -r ./aiorwlock
 
 mypy:
-	mypy aiorwlock --ignore-missing-imports --disallow-untyped-calls --no-site-packages --strict
+	mypy aiorwlock --disallow-untyped-calls --strict
 
-cov cover coverage: flake checkrst pyroma bandit
+cov cover coverage:
 	pytest -sv --cov=aiorwlock --cov-report=term --cov-report=html ./tests
 	@echo "open file://`pwd`/htmlcov/index.html"

=== debian/changelog ===
aiorwlock (1.0.0-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * Add the missing build dependency on python3-pytest-asyncio.

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Feb 2021 13:23:18 +0200

aiorwlock (1.0.0-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release.
    - Fixes FTBFS with pytest 6. (Closes: #977054)

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Feb 2021 01:45:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                python3-setuptools,
 # for tests:
                python3-pytest,
+               python3-pytest-asyncio,
                python3-uvloop
 Standards-Version: 4.4.0
 Homepage: https://github.com/aio-libs/aiorwlock

## aiorwlock 1.3.0

=== debian/changelog ===
aiorwlock (1.3.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
    - Fixes FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 21 Aug 2022 22:02:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: aiorwlock
 Section: python
 Priority: optional
-Maintainer: William Grzybowski <william@grzy.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: William Grzybowski <william@grzy.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aiorwlock-$1.tar.gz%" \
   https://github.com/aio-libs/aiorwlock/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
